#
# spec file for package python-execnet
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:           python-execnet
Version:        1.2post2
Release:        4.2
Summary:        Ad-hoc interact with Python across version, platform and network barriers
License:        MIT
Group:          System/Filesystems
Url:            https://github.com/alfredodeza/execnet
# execnet is from git@github.com:alfredodeza/execnet.git, see note in prep section
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-tox >= 1.2
BuildRequires:  python-virtualenv
%if 0%{?suse_version}
BuildRequires:  python-pytest >= 2.1.3
%else
BuildRequires:  pytest
%endif
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif
Requires:       python-setuptools

%description
python-execnet allows ad-hoc interact with Python interpreters across version, platform and network barriers 
including CPython 2.6-3.X, Jython 2.5.1 and PyPy 2.2 interpreters. It provides a minimal and fast API for, 
distributing tasks to local or remote processes,  making it easier to administer multiple hosts in python. 
It provides send/receive as well as callback/queue mechanisms, simple serialization of python builtin types 
(no pickling) and integrates with different threading models, including standard os threads, eventlet and 
gevent based systems.

%prep
%setup -q
%setup -q -T -D -n %{name}-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
# TODO: this package contains unit tests that are not built on packaging.
# python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README.txt CHANGELOG
%{python_sitelib}/*

%changelog
* Mon Jul 21 2014 osynge@suse.com
- Updated to 1.2.post2
  + Bug fix on shutting down with some client operating systems.
- Start using OBS to mange source code downloads.
* Mon Jul  7 2014 osynge@suse.com
- Cleaned up build and runtime dependencies.
- Removed unneeded environment variables from build.
- Improved Description
- Improved Summary.
* Fri Jul  4 2014 osynge@suse.com
- First packaging based upon ceph-deploy-1.5.7
